
Redmine - Defect #1772

document listing shows on "my page"  when viewing documents is disabled for the role.

2008-08-12 13:16 - Jozef Menda

Status: Closed Start date: 2008-08-12

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Documents Estimated time: 0.00 hour

Target version: 0.8   

Resolution: Fixed Affected version:  

Description

user with role which has disabled viewing and managing documents for some project can see that project's document titles when he

adds "documents" widget to his personal "my page" . after clicking on the document title,correct 403 not authorized page shows.

tested on redmine 0.7.2, 0.7.3 and current svn trunk - revision 1735. using ruby 1.8.6-26 on winxp,mysql 5.051b,rails 2.1.0 (freezed

2.0.2 in 0.7.2 and 0.7.3)

Associated revisions

Revision 1766 - 2008-08-26 13:08 - Jean-Philippe Lang

Fixed: document listing shows on "my page" when viewing documents is disabled for the role (#1772).

History

#1 - 2008-08-26 13:05 - Jean-Philippe Lang

- Category set to Documents

- Status changed from New to Closed

- Target version set to 0.8

- Resolution set to Fixed

Fixed in r1766. Thanks for pointing out.
